## zpaq 7.15

=== Makefile ===
CXX=g++
CPPFLAGS+=-Dunix
# CPPFLAGS+=NOJIT
CXXFLAGS=-O3 -march=native
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/share/man

all: zpaq zpaq.1

libzpaq.o: libzpaq.cpp libzpaq.h
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ -c libzpaq.cpp

zpaq.o: zpaq.cpp libzpaq.h
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ -c zpaq.cpp -pthread

zpaq: zpaq.o libzpaq.o
	$(CXX) $(LDFLAGS) -o $@ zpaq.o libzpaq.o -pthread

zpaq.1: zpaq.pod
	pod2man $< >$@

install: zpaq zpaq.1
	install -m 0755 -d $(DESTDIR)$(BINDIR)
	install -m 0755 zpaq $(DESTDIR)$(BINDIR)
	install -m 0755 -d $(DESTDIR)$(MANDIR)/man1
	install -m 0644 zpaq.1 $(DESTDIR)$(MANDIR)/man1

clean:
	rm -f zpaq.o libzpaq.o zpaq zpaq.1 archive.zpaq zpaq.new

check: zpaq
	./zpaq add archive.zpaq zpaq
	./zpaq extract archive.zpaq zpaq -to zpaq.new
	cmp zpaq zpaq.new
	rm archive.zpaq zpaq.new

## zpaq 1.10

=== debian/changelog ===
zpaq (1.10-3) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible. Thanks to Reiner Herrmann
    <reiner@reiner-h.de> for the patch. (Closes: #782232)

 -- Chris Lamb <lamby@debian.org>  Sat, 01 Oct 2016 23:33:07 +0100

zpaq (1.10-2) unstable; urgency=medium

  * QA upload.
  * Bump Standards-Version to 3.9.8.
  * Change DH to 9.
  * Change package to QA group. (see #777123)
  * debian/watch: bumped to version 4 and fixed.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Switch VCS to secure format.

 -- Allan Dixon Jr. <allandixonjr@gmail.com>  Thu, 08 Sep 2016 12:03:40 -0300

zpaq (1.10-1) unstable; urgency=low

  * Initial release (Closes: #582397).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 02 Jun 2010 11:12:41 +0300

=== debian/control ===
Source: zpaq
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/zpaq.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/zpaq.git
Homepage: http://mattmahoney.net/dc

Package: zpaq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: maximum reference compressor for ZPAQ open standard
 PAQ familily is a series of open source data compression archivers
 that have evolved through collaborative development to top rankings
 on several benchmarks measuring compression ratio although at the
 expense of speed and memory usage.
 .
 This package includes ZPAQ, a proposed standard format for highly
 compressed data that allows new compression algorithms to be
 developed without breaking compatibility with older programs.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE		= zpaq
CHANGELOG 	= debian/upstream.changelog
CXX		= g++

# -DOPT Do not use (Upstream's note)
# -DNDEBUG removes run time checks for better speed.

LIBS 	 = -lm
CXXFLAGS += -I. -Wall -pedantic -DNDEBUG -fomit-frame-pointer

get-changelog:
	awk '/History/,/_eof_/ {print} ' readme.txt > $(CHANGELOG)

man:
	$(MAKE) -C debian -f pod2man.mk PACKAGE=$(PACKAGE) makeman

override_dh_installchangelogs: get-changelog
	dh_installchangelogs $(CHANGELOG)

override_dh_auto_build: get-changelog man
	$(CXX) $(CXXFLAGS) -o $(PACKAGE) $(PACKAGE).cpp $(LIBS)
# Skip. No use for regular user
#	$(CXX) $(CXXFLAGS) -o lzppre lzppre.cpp $(LIBS)

%:
	dh  $@

.PHONY: get-changelog man

# End of file

=== debian/watch ===
version=4
opts="uversionmangle=s/^(.)/$1./" \
http://mattmahoney.net/dc/zpaq.html zpaq([0-9.]+)\.zip

## zpaq 7.15

=== debian/changelog ===
zpaq (7.15-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:04:39 +0100

zpaq (7.15-1) unstable; urgency=medium

  * New upstream release. Closes: #880134.
  * Adopt the package; thanks to Jari Aalto for taking care of the
    package previously. Closes: #777123.
  * Update debian/watch and use uscan instead of debian/repack.sh, with an
    updated machine-readable debian/copyright.
  * Ensure the build honours build flags. Closes: #776373.
  * Migrate to Salsa.
  * Update homepage.
  * Fix a few spelling mistakes.
  * Fix long description.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.3, no further change required.
  * Enable full hardening.

 -- Stephen Kitt <skitt@debian.org>  Mon, 09 Apr 2018 13:49:25 +0200

zpaq (2.01-1) unstable; urgency=low

  * New upstream release.
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): Update to debhelper 8.
    - (Standards-Version): Update to 3.9.1.
  * debian/debian-compile.mk
    - New.
  * debian/install
    - Add unzpaq.
  * debian/rules
    - (get-changelog): update regexp.
    - (include debian/debian-compile.mk): New. Set proper CXXFLAGS.
    - (man): Add unzpaq.
    - (override_dh_auto_build): Update CXX call line. Add unzpaq.
  * debian/source/format
    - Update from 1.0 to 3.0 quilt.
  * debian/unzpaq.1.pod
    - Update paragraphs.
  * debian/zpaq.1.pod
    - (SEE ALSO): mention unzpaq(1).

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 17 Nov 2010 16:01:19 +0200

=== debian/control ===
Source: zpaq
Section: utils
Priority: optional
Maintainer: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper (>= 11~)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/debian/zpaq
Vcs-Git: https://salsa.debian.org/debian/zpaq.git
Homepage: http://mattmahoney.net/dc/zpaq.html

Package: zpaq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: maximum reference compressor for ZPAQ open standard
 The PAQ family is a series of open source data compression archivers
 that have evolved through collaborative development to top rankings
 on several benchmarks measuring compression ratio although at the
 expense of speed and memory usage.
 .
 This package includes ZPAQ, a proposed standard format for highly
 compressed data that allows new compression algorithms to be
 developed without breaking compatibility with older programs.

=== debian/rules ===
#!/usr/bin/make -f

export PREFIX = /usr
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_HOST_GNU_CPU), x86_64)
  DEB_CPPFLAGS_MAINT_APPEND = -DNOJIT
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh  $@

=== debian/watch ===
version=3
opts="uversionmangle=s/^(.)/$1./" \
 http://mattmahoney.net/dc/zpaq.html .*zpaq(\d+).zip debian uupdate

## zpaq 7.15%2Brepack

=== debian/changelog ===
zpaq (7.15+repack-1+rb1) unstable; urgency=medium

  * Rebuild

 -- Han Gao <gaohan@iscas.ac.cn>  Sat, 08 Jul 2023 01:38:16 +0800

zpaq (7.15+repack-1) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Stephen Kitt ]
  * Indicate that the original archive is repacked.
  * Switch to debhelper compatibility level 13.
  * Set “Rules-Requires-Root: no”.
  * Correct the upstream URL in debian/copyright.
  * Standards-Version 4.5.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 05 Jan 2021 22:19:41 +0100

## zpaq 7.15+repack

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: utils
 Priority: optional
 Maintainer: Stephen Kitt <skitt@debian.org>
-Build-Depends: debhelper (>= 11~)
-Standards-Version: 4.1.3
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/debian/zpaq
 Vcs-Git: https://salsa.debian.org/debian/zpaq.git
 Homepage: http://mattmahoney.net/dc/zpaq.html
+Rules-Requires-Root: no
 
 Package: zpaq
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,4 +12,4 @@
 include /usr/share/dpkg/buildflags.mk
 
 %:
-	dh  $@
+	dh $@

=== debian/watch ===
version=4
opts="dversionmangle=s/\+repack$//,repacksuffix=+repack,uversionmangle=s/^(.)/$1./" \
 http://mattmahoney.net/dc/zpaq.html .*zpaq(\d+).zip debian uupdate
